org.eclipse.emf.cdo.server

## Interface IRepositorySynchronizer

- All Superinterfaces:
    IContainer<CDOSession>, INotifier
  All Known Subinterfaces:
    InternalRepositorySynchronizer

      public interface IRepositorySynchronizer
      extends IContainer<CDOSession>

  Synchronizes a `synchronizable repository` with a master repository.
  Since:
    3.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.
  Apiviz
  Apiviz
    `CDOSessionConfigurationFactory` oneway - - remote

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_MAX_RECOMMITS`
    `static int` | `DEFAULT_RECOMMIT_INTERVAL`
    `static int` | `DEFAULT_RETRY_INTERVAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ISynchronizableRepository` | `getLocalRepository()`
    `int` | `getMaxRecommits()`
    `int` | `getRecommitInterval()`
    `CDOSession` | `getRemoteSession()`
    `CDOSessionConfigurationFactory` | `getRemoteSessionConfigurationFactory()`
    `int` | `getRetryInterval()`
    `boolean` | `isRawReplication()`
    `void` | `setMaxRecommits(int maxRecommits)`
    `void` | `setRawReplication(boolean rawReplication)`
    `void` | `setRecommitInterval(int recommitInterval)`
    `void` | `setRetryInterval(int retryInterval)`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Field Detail

    - #### DEFAULT_RETRY_INTERVAL

          static final int DEFAULT_RETRY_INTERVAL

      Since:
        4.4
      See Also:
        Constant Field Values

    - #### DEFAULT_MAX_RECOMMITS

          static final int DEFAULT_MAX_RECOMMITS

      Since:
        4.4
      See Also:
        Constant Field Values

    - #### DEFAULT_RECOMMIT_INTERVAL

          static final int DEFAULT_RECOMMIT_INTERVAL

      Since:
        4.4
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getRetryInterval

          int getRetryInterval()

    - #### setRetryInterval

          void setRetryInterval(int retryInterval)

    - #### getLocalRepository

          ISynchronizableRepository getLocalRepository()

    - #### getRemoteSessionConfigurationFactory

          CDOSessionConfigurationFactory getRemoteSessionConfigurationFactory()

    - #### getRemoteSession

          CDOSession getRemoteSession()

    - #### isRawReplication

          boolean isRawReplication()

    - #### setRawReplication

          void setRawReplication(boolean rawReplication)

      Since:
        4.0

    - #### getMaxRecommits

          int getMaxRecommits()

    - #### setMaxRecommits

          void setMaxRecommits(int maxRecommits)

    - #### getRecommitInterval

          int getRecommitInterval()

    - #### setRecommitInterval

          void setRecommitInterval(int recommitInterval)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html